(* Mathematica package *)

(* The sole purpose of this package is to provide a convenient way for loading "Core" by simply evaluating
	'Needs[ "Theorema`Core`"]'. Theorema is launched automatically if necessary. *)

BeginPackage[ "Theorema`Core`", {"Theorema`"}]
(* If we do not introduce context "Theorema`Core`", 'Needs' shows a warning. *)

If[ Theorema`Core`Tools`$inCore =!= True, Global`EnterCore[]];

EndPackage[]
